Index: /trunk/jabberit_messenger/inc/login.php
===================================================================
--- /trunk/jabberit_messenger/inc/login.php	(revision 7655)
+++ /trunk/jabberit_messenger/inc/login.php	(revision 7673)
@@ -86,7 +86,8 @@
 		
 		if( $voip_enabled )
-			$pluginsJava[] = "callVoip.jar";		
-		
-		for( $i = 0; $i < count($pluginsJava); ++$i )
+			$pluginsJava[] = "callVoip.jar";
+
+        $pluginsJava_count = count($pluginsJava);
+		for( $i = 0; $i < $pluginsJava_count; ++$i )
 		{
 			$javaFiles	 .= $path . "plugins/" . $pluginsJava[$i] . ",";
Index: /trunk/jabberit_messenger/inc/class.contacts_im.inc.php
===================================================================
--- /trunk/jabberit_messenger/inc/class.contacts_im.inc.php	(revision 7655)
+++ /trunk/jabberit_messenger/inc/class.contacts_im.inc.php	(revision 7673)
@@ -92,6 +92,7 @@
 
 		if( is_array($users) )
-		{	
-			for($i = 0; $i < count($users); ++$i)
+		{
+            $users_count = count($users);
+			for($i = 0; $i < $users_count; ++$i)
 			{
 				if( is_array($hostsJabber) )
@@ -225,8 +226,10 @@
 
 			$_restrict = array();
-			
-			for( $i = 0 ; $i < count($orgs) ; ++$i )
-			{
-				for( $j = 0 ; $j < count($array_uids) ; ++$j )
+
+            $orgs_count = count($orgs);
+			for( $i = 0 ; $i < $orgs_count; ++$i )
+			{
+                $array_uids_count = count($array_uids);
+				for( $j = 0 ; $j < $array_uids_count; ++$j )
 				{
 					if( trim($array_uids[$j]['ou']) === trim($orgs[$i]) )
@@ -331,6 +334,7 @@
 						$posAll = $this->strallpos($ou_User, "OU=" );
 						$orgs = array();
-				
-						for( $i = 0 ; $i < count($posAll); ++$i )
+
+                        $posAll_count = count($posAll);
+						for( $i = 0 ; $i < $posAll_count; ++$i )
 						{
 							$pos = strpos($ou_User, ",");
@@ -369,6 +373,7 @@
 							$posAll = $this->strallpos($ou_User, "OU=" );
 							$orgs = array();
-					
-							for( $i = 0 ; $i < count($posAll); ++$i )
+
+                            $posAll_count = count($posAll);
+							for( $i = 0 ; $i < $posAll_count; ++$i )
 							{
 								$pos = strpos($ou_User, ",");
Index: /trunk/jabberit_messenger/inc/class.ldap_im.inc.php
===================================================================
--- /trunk/jabberit_messenger/inc/class.ldap_im.inc.php	(revision 7655)
+++ /trunk/jabberit_messenger/inc/class.ldap_im.inc.php	(revision 7673)
@@ -125,6 +125,7 @@
 		{
 			$confHosts	= $this->hostsJabber;
-			
-			for($i = 0; $i < count($confHosts); ++$i )
+
+            $confHosts_count = count($confHosts);
+			for($i = 0; $i < $confHosts_count; ++$i )
 			{
 				if( $pData['serverLdap'] == $confHosts[$i]['serverLdap'] )
@@ -210,6 +211,7 @@
 			{
 				$confHosts	= $this->hostsJabber;
-			
-				for($i = 0; $i < count($confHosts); ++$i )
+
+                $confHosts_count = count($confHosts);
+				for($i = 0; $i < $confHosts_count; ++$i )
 				{
 					if( $this->ldap )
@@ -279,6 +281,7 @@
 		{
 			$confHosts	= $this->hostsJabber;
-		
-			for($i = 0; $i < count($confHosts); ++$i )
+
+            $confHosts_count = count($confHosts);
+			for($i = 0; $i < $confHosts_count; ++$i )
 			{
 				if( $this->ldap )
@@ -322,6 +325,7 @@
 		{
 			$confHosts	= $this->hostsJabber;
-			
-			for($i = 0; $i < count($confHosts); ++$i )
+
+            $confHosts_count = count($confHosts);
+			for($i = 0; $i < $confHosts_count; ++$i )
 			{
 				if( $pLdap_host == $confHosts[$i]['serverLdap'] )
@@ -396,7 +400,8 @@
 		$result = array();
 		$return	= array();
-		$conn	= "";		
-
-		for( $i = 0; $i < count($confHosts); ++$i )
+		$conn	= "";
+
+        $confHosts_count = count($confHosts);
+		for( $i = 0; $i < $confHosts_count; ++$i )
 		{
 			if( $pLdap && $pLdap == $confHosts[$i]['serverLdap'] )
Index: /trunk/jabberit_messenger/inc/class.db_im.inc.php
===================================================================
--- /trunk/jabberit_messenger/inc/class.db_im.inc.php	(revision 7655)
+++ /trunk/jabberit_messenger/inc/class.db_im.inc.php	(revision 7673)
@@ -58,7 +58,8 @@
 		$hostsJabber = unserialize($this->getHostsJabber());
 		$findHosts	= explode(":", $pItem['item']);
-		$return = "";	
-		
-		for( $i = 0 ; $i < count($hostsJabber); ++$i )
+		$return = "";
+
+        $hostsJabber_count = count($hostsJabber);
+		for( $i = 0 ; $i < $hostsJabber_count; ++$i )
 			if( $hostsJabber[$i]['org'] == $findHosts[0] && $hostsJabber[$i]['jabberName'] == $findHosts[1] )
 			{
@@ -517,5 +518,6 @@
 		$orgs = array();
 
-		for( $i = 0 ; $i < count($posAll); ++$i )
+        $posAll_count = count($posAll);
+		for( $i = 0 ; $i < $posAll_count; ++$i )
 		{
 			$pos = strpos($organization, ",");
@@ -655,5 +657,6 @@
 					if( count($confHostsOrgs) > 0 )
 					{
-						for( $i = 0; $i < count($confHostsOrgs); ++$i)
+                        $confHostsOrgs_count = count($confHostsOrgs);
+						for( $i = 0; $i < $confHostsOrgs_count; ++$i)
 							if( $confHostsOrgs[$i]['org'] == $hosts[0] && $confHostsOrgs[$i]['jabberName'] == $hosts[1])
 								$key = $i;	
Index: /trunk/contactcenter/inc/class.bo_ldap_manager.inc.php
===================================================================
--- /trunk/contactcenter/inc/class.bo_ldap_manager.inc.php	(revision 7655)
+++ /trunk/contactcenter/inc/class.bo_ldap_manager.inc.php	(revision 7673)
@@ -438,6 +438,7 @@
 			$referral = $this -> get_ldap_referrals($ds, $dn, $filter);
 			$sub_branches = array();
-			
-			for($i = 0; $i <count($referral); ++$i) {
+
+            $referral_count = count($referral);
+			for($i = 0; $i <$referral_count; ++$i) {
 				$dn = str_replace("??base","",preg_replace('!^(ldap://[^/]+)/(.*$)!', '\\2', $referral[$i]));
 				$dn = explode(",",$dn);				
Index: /trunk/contactcenter/inc/class.ui_data.inc.php
===================================================================
--- /trunk/contactcenter/inc/class.ui_data.inc.php	(revision 7655)
+++ /trunk/contactcenter/inc/class.ui_data.inc.php	(revision 7673)
@@ -2118,5 +2118,6 @@
 
                         $actualCatalog = $this->get_actual_catalog();
-                        for ($i = 0; $i < count($data['contact_in_list']); ++$i)
+                        $data_count = count($data['contact_in_list']);
+                        for ($i = 0; $i < $data_count; ++$i)
                         {
                             if (preg_match('/ldap:.*:.*/', $data['contact_in_list'][$i])) // from ldap
@@ -3789,5 +3790,6 @@
 			$contact['names_ordered'] = $info[0]['description'];
 			$filter = "";
-			for($z = 0; $z < count($member_uids); ++$z) {
+            $member_uids_count = count($member_uids);
+			for($z = 0; $z < $member_uids_count; ++$z) {
 				if($member_uids[$z])
 					$filter.="(uid=".$member_uids[$z].")";
@@ -4806,5 +4808,6 @@
 			if ($info)
 			{
-				for ($i = 0; $i < count($justThese); ++$i)
+                $justThese_count = count($justThese);
+				for ($i = 0; $i < $justThese_count; ++$i)
 				{
 					$attr = array();
Index: /trunk/emailadmin/inc/class.ui.inc.php
===================================================================
--- /trunk/emailadmin/inc/class.ui.inc.php	(revision 7655)
+++ /trunk/emailadmin/inc/class.ui.inc.php	(revision 7673)
@@ -240,5 +240,6 @@
 			if ($profileList)
 			{
-				for ($i=0; $i < count($profileList); ++$i)
+                $profileList_count = count($profileList);
+				for ($i=0; $i < $profileList_count; ++$i)
 				{
 					$linkData = array
Index: /trunk/emailadmin/inc/class.uiuserdata.inc.php
===================================================================
--- /trunk/emailadmin/inc/class.uiuserdata.inc.php	(revision 7655)
+++ /trunk/emailadmin/inc/class.uiuserdata.inc.php	(revision 7673)
@@ -78,5 +78,6 @@
 				{
 					$options_mailAlternateAddress = "<select size=\"6\" name=\"mailAlternateAddress\">\n";
-					for ($i=0;$i < count($userData['mailAlternateAddress']); ++$i)
+                    $userData_count = count($userData['mailAlternateAddress']);
+					for ($i=0;$i < $userData_count; ++$i)
 					{
 						$options_mailAlternateAddress .= "<option value=\"$i\">".
@@ -94,5 +95,6 @@
 				{
 					$options_mailRoutingAddress = "<select size=\"6\" name=\"mailRoutingAddress\">\n";
-					for ($i=0;$i < count($userData['mailRoutingAddress']); ++$i)
+                    $userData_count = count($userData['mailRoutingAddress']);
+					for ($i=0;$i < $userData_count; ++$i)
 					{
 						$options_mailRoutingAddress .= "<option value=\"$i\">".
Index: /trunk/setup/ldapimport.php
===================================================================
--- /trunk/setup/ldapimport.php	(revision 7655)
+++ /trunk/setup/ldapimport.php	(revision 7673)
@@ -216,5 +216,6 @@
 						// This is typically an exception to apps for run rights
 						//  as a group member.
-						for($a=0;$a<count($admins);++$a)
+                        $admins_count = count($admins);
+						for($a=0;$a<$admins_count;++$a)
 						{
 							if($admins[$a] == $thisacctlid)
Index: /trunk/preferences/inc/class.uiaclprefs.inc.php
===================================================================
--- /trunk/preferences/inc/class.uiaclprefs.inc.php	(revision 7655)
+++ /trunk/preferences/inc/class.uiaclprefs.inc.php	(revision 7673)
@@ -112,6 +112,7 @@
 					}
 				}
-				
-				for($i=0;$i<count($to_remove);++$i) {
+
+				$to_remove_count = count($to_remove);
+				for($i=0;$i<$to_remove_count;++$i) {
 					
 					if(!array_key_exists((int)$to_remove[$i],$keys_to_keep)) {
Index: /trunk/preferences/inc/class.uicategories.inc.php
===================================================================
--- /trunk/preferences/inc/class.uicategories.inc.php	(revision 7655)
+++ /trunk/preferences/inc/class.uicategories.inc.php	(revision 7673)
@@ -83,5 +83,6 @@
 		function cat_data($edata,$data)
 		{
-			for ($j=0;$j<count($edata);++$j)
+            $edata_count = count($edata);
+			for ($j=0;$j<$edata_count;++$j)
 			{
 				$td_data .= '<td>' . $data[$edata[$j]] . '</td>' . "\n";
@@ -169,5 +170,6 @@
 			if (is_array($edata))
 			{
-				for($i=0;$i<count($edata);++$i)
+                $edata_count = count($edata);
+				for($i=0;$i<$edata_count;++$i)
 				{
 					$GLOBALS['phpgw']->template->set_var('th_data','<td bgcolor="' . $GLOBALS['phpgw_info']['theme']['th_bg'] . '">' . lang($edata[$i]) . '</td>');
@@ -181,6 +183,6 @@
 
 // -------------------------- end header declaration --------------------------------------
-
-			for ($i=0;$i<count($cats);++$i)
+            $cats_count = count($cats);
+			for ($i=0;$i<$cats_count;++$i)
 			{
 				$this->nextmatchs->template_alternate_row_color($GLOBALS['phpgw']->template);
@@ -375,5 +377,6 @@
 			{
 				$edata = explode(',',$extra);
-				for($i=0;$i<count($edata);++$i)
+                $edata_count = count($edata);
+				for($i=0;$i<$edata_count;++$i)
 				{
 					$GLOBALS['phpgw']->template->set_var('tr_color',$GLOBALS['phpgw']->nextmatchs->alternate_row_color());
@@ -506,5 +509,6 @@
 
 				$data = unserialize($cats[0]['data']);
-				for($i=0;$i<count($edata);++$i)
+                $edata_count = count($edata);
+				for($i=0;$i<$edata_count;++$i)
 				{
 					$GLOBALS['phpgw']->template->set_var('td_data','<input name="cat_data[' . $edata[$i] . ']" size="50" value="' . $data[$edata[$i]] . '">');
Index: /trunk/prototype/services/PostgreSQL.php
===================================================================
--- /trunk/prototype/services/PostgreSQL.php	(revision 7655)
+++ /trunk/prototype/services/PostgreSQL.php	(revision 7673)
@@ -358,6 +358,6 @@
             $orderDesc = array( $orderDesc );
         }
-
-        for($i=0; $i<count($order); ++$i){
+        $order_count = count($order);
+        for($i=0; $i<$order_count; ++$i){
             $order[$i] .= ($orderDesc[$i] === true) ? ' DESC' : '';
         }
Index: /trunk/prototype/services/ImapServiceAdapter.php
===================================================================
--- /trunk/prototype/services/ImapServiceAdapter.php	(revision 7655)
+++ /trunk/prototype/services/ImapServiceAdapter.php	(revision 7673)
@@ -171,13 +171,14 @@
 					if( $filter[0] !== 'msgNumber' )
 					{
-					for( $i = 0; $i < count($filter); ++$i )
-					{
-						if( count( $filter[$i] ) === 4 )
-						$criteria['isExact'] = ( array_shift( $filter[$i] ) === 'AND' );
-
-						$criteria[ $filter[$i][0] ] = array( 'criteria' => $filter[$i][2], 'filter' => $filter[$i][1] );
-					}
-
-					return $this->searchSieveRule($criteria);
+                        $filter_count = count($filter);
+                        for( $i = 0; $i < $filter_count; ++$i )
+                        {
+                            if( count( $filter[$i] ) === 4 )
+                            $criteria['isExact'] = ( array_shift( $filter[$i] ) === 'AND' );
+
+                            $criteria[ $filter[$i][0] ] = array( 'criteria' => $filter[$i][2], 'filter' => $filter[$i][1] );
+                        }
+
+                        return $this->searchSieveRule($criteria);
 					}
 
@@ -188,5 +189,5 @@
 
 					if( empty( $msgNumber ) )
-					return( false );
+					    return( false );
 
 					$result = $this->get_info_msgs( array( 'folder' => $folder_name, 
@@ -213,6 +214,6 @@
 
 				$response = array( "page" => $page, "total" => $total_pages, "records" => $count );
-				
-				for ($i=0; $i<count($result); ++$i)
+				$result_count = count($result);
+				for ($i=0; $i<$result_count; ++$i)
 				{
 					$flags_enum = array('Unseen'=> 1,  'Answered'=> 1, 'Forwarded'=> 1, 'Flagged'=> 1, 'Recent'=> 1, 'Draft'=> 1 ); 
Index: /trunk/prototype/modules/catalog/interceptors/CatalogDBMapping.php
===================================================================
--- /trunk/prototype/modules/catalog/interceptors/CatalogDBMapping.php	(revision 7655)
+++ /trunk/prototype/modules/catalog/interceptors/CatalogDBMapping.php	(revision 7673)
@@ -23,5 +23,6 @@
 
 		if(count($params)>0 && isset($params[0]['id'])){
-			for($i=0; $i < count($params); ++$i){
+            $params_count = count($params);
+			for($i=0; $i < $params_count; ++$i){
 				//Retorna o telefone e o e-mail padrao de um determinado contato
 				$sql = ' SELECT phpgw_cc_contact_conns.id_typeof_contact_connection as type, phpgw_cc_connections.connection_value as value '
Index: /trunk/security/classes/funcoes_auxiliares.php
===================================================================
--- /trunk/security/classes/funcoes_auxiliares.php	(revision 7655)
+++ /trunk/security/classes/funcoes_auxiliares.php	(revision 7673)
@@ -242,5 +242,6 @@
 		$n = 0;
 		$b = 0;
-		for($n = 0; $n < count($partes); ++$n)
+        $partes_count = count($partes);
+		for($n = 0; $n < $partes_count; ++$n)
 		{
 			if($n==0)
@@ -1498,5 +1499,6 @@
 		if(count($partes)>1)
 			{
-				for($i=1;$i<count($partes);++$i)
+                $partes_count = count($partes);
+				for($i=1;$i<$partes_count;++$i)
 					{
 					        //O inicio da seq pode estar a 3 ou 2 digitos antes do inicio da oid .... depende do numero de bytes usados para  tamanho da seq.
@@ -1580,5 +1582,6 @@
 		$esta_oid = $oids[$oid];
 		$p = 0;
-		for($i=1;$i < count($esta_oid) + 1; ++$i)
+        $esta_oid_count = count($esta_oid);
+		for($i=1;$i < $esta_oid_count + 1; ++$i)
 			{
 				if($esta_oid[$i][1] == 0)
Index: /trunk/calendar/inc/class.bocalendar.inc.php
===================================================================
--- /trunk/calendar/inc/class.bocalendar.inc.php	(revision 7655)
+++ /trunk/calendar/inc/class.bocalendar.inc.php	(revision 7673)
@@ -1252,5 +1252,6 @@
 					$minparts = min($l_participants);
 					$part = Array();
-					for($i=0;$i<count($parts);++$i)
+                    $parts_count = count($parts);
+					for($i=0;$i<$parts_count;++$i)
 					{
 						if (($accept_type = substr($parts[$i],-1,1)) == '0' || (int)$accept_type > 0)
@@ -2137,5 +2138,6 @@
 			{
 				$exceptions = explode(',',$exception_str);
-				for($exception_count=0;$exception_count<count($exceptions);++$exception_count)
+                $exceptions_count = count($exceptions);
+				for($exception_count=0;$exception_count<$exceptions_count;++$exception_count)
 				{
 					$exception[] = (int)$exceptions[$exception_count];
@@ -2196,5 +2198,6 @@
 				}
 
-				for($i=0;$i<count($this->cached_events[$date]);++$i)
+                $cached_events_count = count($this->cached_events[$date]);
+				for($i=0;$i<$cached_events_count;++$i)
 				{
 					if($this->cached_events[$date][$i]['id'] == $event['id'] || $this->cached_events[$date][$i]['reference'] == $event['id'])
@@ -2575,5 +2578,6 @@
 					{
 						echo '<!-- Total events found matching '.$search_date.' = '.count($this->cached_events[$search_date]).' -->'."\n";
-						for($i=0;$i<count($this->cached_events[$search_date]);++$i)
+                        $cached_events_count = count($this->cached_events[$search_date]);
+						for($i=0;$i<$cached_events_count;++$i)
 						{
 							echo '<!-- Date: '.$search_date.' ['.$i.'] = '.$this->cached_events[$search_date][$i]['id'].' -->'."\n";
@@ -2866,5 +2870,6 @@
 
 			//verifica se todos os participantes rejeitaram o evento
-			for($i = 0; $i < count($sts); ++$i ){
+            $sts_count = count($sts);
+			for($i = 0; $i < $sts_count; ++$i ){
 				if( $sts[i] === "R")
 					unset( $sts[i] );
@@ -4436,5 +4441,6 @@
 			{
 				$cal_grps = '';
-				for($i=0;$i<count($event['groups']);++$i)
+                $event_groups_count = count($event['groups']);
+				for($i=0;$i<$event_groups_count;++$i)
 				{
 					if($GLOBALS['phpgw']->accounts->exists($event['groups'][$i]))
Index: /trunk/calendar/inc/class.boicalendar.inc.php
===================================================================
--- /trunk/calendar/inc/class.boicalendar.inc.php	(revision 7655)
+++ /trunk/calendar/inc/class.boicalendar.inc.php	(revision 7673)
@@ -1434,5 +1434,6 @@
 			//$this->debug('parse_parameters array return_value: '._debug_array($return_value,False));
 
-		for ($i = 0; $i < count($return_value); ++$i) {
+        $return_value_count = count($return_value);
+		for ($i = 0; $i < $return_value_count; ++$i) {
 				$name = strtolower($return_value[$i]['param']);
 				$value = $this->strip_quotes($return_value[$i]['value']);
@@ -1661,5 +1662,6 @@
 					if (!empty ($event[$value])) {
 						if ($multiples && $value != 'exdate') {
-							for ($i = 0; $i < count($event[$value]); ++$i) {
+                            $event_value_count = count($event[$value]);
+							for ($i = 0; $i < $event_value_count; ++$i) {
 								$str .= $this->fold(strtoupper(str_replace('_', '-', $value)) . $this->build_parameters($event[$value][$i], $value));
 								}
@@ -1674,5 +1676,6 @@
 				case 'uri' :
 					if (!empty ($event[$value])) {
-						for ($i = 0; $i < count($event[$value]); ++$i) {
+                        $event_value_count = count($event[$value]);
+						for ($i = 0; $i < $event_value_count; ++$i) {
 							$str .= $this->fold(strtoupper(str_replace('_', '-', $value)) . $this->build_parameters($event[$value][$i], $to_text));
 							}
@@ -1682,5 +1685,6 @@
 					if (!empty ($event[$value])) {
 						if ($multiples) {
-							for ($i = 0; $i < count($event[$value]); ++$i) {
+                            $event_value_count = count($event[$value]);
+							for ($i = 0; $i < $event_value_count; ++$i) {
 								$str .= $this->fold(strtoupper(str_replace('_', '-', $value)) . $this->build_parameters($event[$value][$i], $value));
 							}
@@ -1712,5 +1716,6 @@
 						if (@ $this->parameter[$key]['type'] != 'function') {
 							if ($multiples && count($event[$value]) > 1) {
-								for ($i = 0; $i < count($event[$value]); ++$i) {
+                                $event_value_count = count($event[$value]);
+								for ($i = 0; $i < $event_value_count; ++$i) {
 									$str .= $this->fold(strtoupper(str_replace('_', '-', $value)) . $this->build_parameters($event[$value][$i], $value));
 								}
@@ -1721,5 +1726,6 @@
 								$function = $this->parameter[$value]['function'];
 							if ($multiples) {
-								for ($i = 0; $i < count($event[$value]); ++$i) {
+                                $event_value_count = count($event[$value]);
+								for ($i = 0; $i < $event_value_count; ++$i) {
 									$str .= $this->fold(strtoupper(str_replace('_', '-', $value)) . ':' . $this-> $function ($event[$value][$i]));
 								}
@@ -1732,5 +1738,6 @@
 				case 'cal-address' :
 					if (is_array($event[$value][0])) {
-						for ($j = 0; $j < count($event[$value]); ++$j) {
+                        $event_value_count = count($event[$value]);
+						for ($j = 0; $j < $event_value_count; ++$j) {
 							$temp_output = $this->build_parameters($event[$value][$j], $value);
 							if ($temp_output) {
@@ -1748,5 +1755,6 @@
 			}
 		if (!empty ($event['x_type'])) {
-			for ($i = 0; $i < count($event['x_type']); ++$i) {
+            $event_x_type_count = count($event['x_type']);
+			for ($i = 0; $i < $event_x_type_count; ++$i) {
 				$str .= $this->build_xtype($event['x_type'][$i], ':');
 				}
@@ -1755,5 +1763,6 @@
 		if ($ical_item == 'vtimezone') {
 			if ($event['tzdata']) {
-				for ($k = 0; $k < count($event['tzdata']); ++$k) {
+                $event_tzdata_count = count($event['tzdata']);
+				for ($k = 0; $k < $event_tzdata_count; ++$k) {
 					$str .= 'BEGIN:' . strtoupper($event['tzdata'][$k]['type']) . "\r\n";
 					$str .= $this->build_card_internals(strtolower($event['tzdata'][$k]['type']), $event['tzdata'][$k]);
@@ -1763,5 +1772,6 @@
 			}
 		elseif ($event['alarm']) {
-			for ($k = 0; $k < count($event['alarm']); ++$k) {
+            $event_alarm_count = count($event['alarm']);
+			for ($k = 0; $k < $event_alarm_count; ++$k) {
 				$str .= 'BEGIN:VALARM' . "\r\n";
 				$str .= $this->build_card_internals('valarm', $event['alarm'][$k]);
Index: /trunk/calendar/inc/class.socalendar_sql.inc.php
===================================================================
--- /trunk/calendar/inc/class.socalendar_sql.inc.php	(revision 7655)
+++ /trunk/calendar/inc/class.socalendar_sql.inc.php	(revision 7673)
@@ -597,5 +597,6 @@
 				{
 					$groups = explode(',',$this->stream->f('groups'));
-					for($j=1;$j<count($groups) - 1;++$j)
+                    $groups_count = count($groups) - 1;
+					for($j=1;$j<$groups_count;++$j)
 					{
 						$this->add_attribute('groups',$groups[$j],$j-1);
Index: /trunk/calendar/inc/class.uipublicview.inc.php
===================================================================
--- /trunk/calendar/inc/class.uipublicview.inc.php	(revision 7655)
+++ /trunk/calendar/inc/class.uipublicview.inc.php	(revision 7673)
@@ -521,5 +521,6 @@
 
 			$description = $this->bo->get_short_field($event,$is_private,'description');
-			for($i=0;$i<count($picture);++$i)
+            $picture_count = count($picture);
+			for($i=0;$i<$picture_count;++$i)
 			{
 				$var = Array(
@@ -946,5 +947,6 @@
 				if($holidays)
 				{
-					for($k=0;$k<count($holidays);++$k)
+                    $holidays_count = count($holidays);
+					for($k=0;$k<$holidays_count;++$k)
 					{
 						$holiday_name[] = $holidays[$k]['name'];
Index: /trunk/calendar/inc/class.uicalendar.inc.php
===================================================================
--- /trunk/calendar/inc/class.uicalendar.inc.php	(revision 7655)
+++ /trunk/calendar/inc/class.uicalendar.inc.php	(revision 7673)
@@ -328,5 +328,6 @@
 					);
 				}
-				for($l=0;$l<count($var);++$l)
+                $var_count = count($var);
+				for($l=0;$l<$var_count;++$l)
 				{
 					$this->output_template_array($mini_cal_tpl,'monthweek_day','mini_day',$var[$l]);
@@ -1331,5 +1332,6 @@
 			$str = '';
 
-			for($i=0;$i<count($event['recur_exception']);++$i)
+            $event_count = count($event['recur_exception']);
+			for($i=0;$i<$event_count;++$i)
 			{
 				$str .= '    <option value="'.$i.'">'.$GLOBALS['phpgw']->common->show_date($event['recur_exception'][$i]).'</option>'."\n";
@@ -1457,5 +1459,6 @@
 				// Add participants
 				$participants = explode(";", $GLOBALS['phpgw']->session->appsession("participants") );
-				for($_f_part=0; $_f_part<count($participants); ++$_f_part)
+                $participants_count = count($participants);
+				for($_f_part=0; $_f_part<$participants_count; ++$_f_part)
 				{
 					$this->bo->add_attribute('participants','A',$participants[$_f_part]);
@@ -2809,5 +2812,6 @@
 			$accounts = $GLOBALS['phpgw']->acl->get_ids_for_location('run',1,'calendar');
 			$users = Array();
-			for($i=0;$i<count($accounts);++$i)
+            $accounts_count = count($accounts);
+			for($i=0;$i<$accounts_count;++$i)
 			{
 				$user = $accounts[$i];
@@ -2820,5 +2824,6 @@
 						if($group_members != False)
 						{
-							for($j=0;$j<count($group_members);++$j)
+                            $group_members_count = count($group_members);
+							for($j=0;$j<$group_members_count;++$j)
 							{
 								if(!isset($users[$group_members[$j]]))
@@ -2861,5 +2866,6 @@
 			);
 
-			for($i=0;$i<count($var);++$i)
+            $var_count = count($var);
+			for($i=0;$i<$var_count;++$i)
 			{
 				$this->output_template_array($p,'rows','list',$var[$i]);
@@ -3607,5 +3613,6 @@
 
 			$description = $this->bo->get_short_field($event,$is_private,'description');
-			for($i=0;$i<count($picture);++$i)
+            $picture_count = count($picture);
+			for($i=0;$i<$picture_count;++$i)
 			{
 				$var = Array(
@@ -3797,5 +3804,6 @@
 
 			$description = $this->bo->get_short_field($event,$is_private,'description');
-			for($i=0;$i<count($picture);++$i)
+            $picture_count = count($picture);
+			for($i=0;$i<$picture_count;++$i)
 			{
 				$var = Array(
@@ -3868,5 +3876,6 @@
 
 			$overlap = '';
-			for($i=0;$i<count($overlapping_events);++$i)
+            $overlapping_events_count = count($overlapping_events);
+			for($i=0;$i<$overlapping_events_count;++$i)
 			{
 				$overlapped_event = $this->bo->read_entry($overlapping_events[$i],True);
@@ -5734,5 +5743,6 @@
 			}
 
-			for ($i=0; $i<count($control_data['part']); ++$i)
+            $control_data_count = count($control_data['part']);
+			for ($i=0; $i<$control_data_count; ++$i)
 			{
 				$id = $control_data['part'][$i];
@@ -5745,5 +5755,6 @@
 			if ($control_data['action'] == lang('Delete selected contacts'))
 			{
-				for ($i=0; $i<count($control_data['delete']); ++$i)
+                $control_data_count = count($control_data['delete']);
+				for ($i=0; $i<$control_data_count; ++$i)
 				{
 					$id = $control_data['delete'][$i];
@@ -5970,5 +5981,6 @@
 				if($holidays)
 				{
-					for($k=0;$k<count($holidays);++$k)
+                    $holidays_count = count($holidays);
+					for($k=0;$k<$holidays_count;++$k)
 					{
 						$holiday_name[] = $holidays[$k]['name'];
Index: /trunk/calendar/inc/class.boholiday.inc.php
===================================================================
--- /trunk/calendar/inc/class.boholiday.inc.php	(revision 7655)
+++ /trunk/calendar/inc/class.boholiday.inc.php	(revision 7673)
@@ -364,5 +364,6 @@
 		{
 			$new_holidays = Array();
-			for($i=0;$i<count($holidays);++$i)
+            $holidays_count = count($holidays);
+			for($i=0;$i<$holidays_count;++$i)
 			{
 //	echo "Setting Holidays Date : ".date('Ymd',$holidays[$i]['date'])."<br>\n";
@@ -386,5 +387,6 @@
 
 			$temp_locale = $GLOBALS['phpgw_info']['user']['preferences']['common']['country'];
-			for($i=0;$i<count($holidays);++$i)
+            $holidays_count = count($holidays);
+			for($i=0;$i<$holidays_count;++$i)
 			{
 				$c = $i;
Index: /trunk/calendar/inc/class.socalendar.inc.php
===================================================================
--- /trunk/calendar/inc/class.socalendar.inc.php	(revision 7655)
+++ /trunk/calendar/inc/class.socalendar.inc.php	(revision 7673)
@@ -179,5 +179,6 @@
 			$events = $this->list_events($startYear,$startMonth,$startDay,$endYear,$endMonth,$endDay);
 			$events_cached = Array();
-			for($i=0;$i<count($events);++$i)
+            $events_count = count($events);
+			for($i=0;$i<$events_count;++$i)
 			{
 				$events_cached[] = $this->read_entry($events[$i]);
Index: /trunk/workflow/inc/class.so_orgchart.inc.php
===================================================================
--- /trunk/workflow/inc/class.so_orgchart.inc.php	(revision 7655)
+++ /trunk/workflow/inc/class.so_orgchart.inc.php	(revision 7673)
@@ -152,5 +152,6 @@
 
 		$output = $result->GetArray(-1);
-		for ($i = 0; $i < count($output); ++$i)
+        $output_count = count($output);
+		for ($i = 0; $i < $output_count; ++$i)
 			for ($j = 0; $j < $result->_numOfFields; ++$j)
 				unset($output[$i][$j]);
@@ -385,5 +386,6 @@
 
 		$output = $result->GetArray(-1);
-		for ($i = 0; $i < count($output); ++$i)
+        $output_count = count($output);
+		for ($i = 0; $i < $output_count; ++$i)
 			for ($j = 0; $j < $result->_numOfFields; ++$j)
 				unset($output[$i][$j]);
@@ -462,5 +464,6 @@
 
 		$output = $result->GetArray(-1);
-		for ($i = 0; $i < count($output); ++$i)
+        $output_count = count($output);
+		for ($i = 0; $i < $output_count; ++$i)
 			for ($j = 0; $j < $result->_numOfFields; ++$j)
 				unset($output[$i][$j]);
@@ -541,5 +544,6 @@
 
 		$output = $result->GetArray(-1);
-		for ($i = 0; $i < count($output); ++$i)
+        $output_count = count($output);
+		for ($i = 0; $i < $output_count; ++$i)
 			for ($j = 0; $j < $result->_numOfFields; ++$j)
 				unset($output[$i][$j]);
@@ -623,5 +627,6 @@
 
 		$output = $result->GetArray(-1);
-		for ($i = 0; $i < count($output); ++$i){
+        $output_count = count($output);
+		for ($i = 0; $i < $output_count; ++$i){
 			for ($j = 0; $j < $result->_numOfFields; ++$j)
 				unset($output[$i][$j]);
@@ -714,5 +719,6 @@
 		$cachedLDAP = Factory::newInstance('CachedLDAP');
 		$cachedLDAP->setOperationMode($cachedLDAP->OPERATION_MODE_LDAP_DATABASE);
-		for ($i = 0; $i < count($output); ++$i)
+        $output_count = count($output);
+		for ($i = 0; $i < $output_count; ++$i)
 		{
 			$output[$i]['funcionario_id_desc'] = '';
@@ -790,5 +796,6 @@
 
 		$output = $result->GetArray(-1);
-		for ($i = 0; $i < count($output); ++$i)
+        $output_count = count($output);
+		for ($i = 0; $i < $output_count; ++$i)
 		{
 			for ($j = 0; $j < $result->_numOfFields; ++$j)
@@ -1003,5 +1010,6 @@
 
 		$output = $result->GetArray(-1);
-		for ($i = 0; $i < count($output); ++$i)
+        $output_count = count($output);
+		for ($i = 0; $i < $output_count; ++$i)
 		{
 			for ($j = 0; $j < $result->_numOfFields; ++$j)
@@ -1384,5 +1392,6 @@
 
 		$output = $result->GetArray(-1);
-		for ($i = 0; $i < count($output); ++$i)
+        $output_count = count($output);
+		for ($i = 0; $i < $output_count; ++$i)
 			for ($j = 0; $j < $result->_numOfFields; ++$j)
 				unset($output[$i][$j]);
@@ -1586,5 +1595,6 @@
 
 		$output = $result->GetArray(-1);
-		for ($i = 0; $i < count($output); ++$i) {
+        $output_count = count($output);
+		for ($i = 0; $i < $output_count; ++$i) {
 			for ($j = 0; $j < $result->_numOfFields; ++$j)
 				unset($output[$i][$j]);
